org.encog.ml.genetic

## Class MLMethodGeneticAlgorithm.MLMethodGeneticAlgorithmHelper

- java.lang.Object
- - org.encog.ml.ea.train.basic.BasicEA
  - - org.encog.ml.ea.train.basic.TrainEA
    - - org.encog.ml.genetic.MLMethodGeneticAlgorithm.MLMethodGeneticAlgorithmHelper

- All Implemented Interfaces:
    Serializable, EncogShutdownTask, EvolutionaryAlgorithm, MLTrain, MultiThreadable
  Enclosing class:
    MLMethodGeneticAlgorithm

      public class MLMethodGeneticAlgorithm.MLMethodGeneticAlgorithmHelper
      extends TrainEA

  Very simple class that implements a genetic algorithm.
  Author:
    jheaton
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLMethodGeneticAlgorithm.MLMethodGeneticAlgorithmHelper(Population thePopulation, CalculateScore theScoreFunction)` Construct the helper.

  - ### Method Summary

    - ### Methods inherited from class org.encog.ml.ea.train.basic.TrainEA

      `addStrategy, canContinue, finishTraining, getImplementationType, getMethod, getStrategies, getTraining, isTrainingDone, iteration, iteration, pause, postIteration, preIteration, resume, setError`

    - ### Methods inherited from class org.encog.ml.ea.train.basic.BasicEA

      `addChild, addOperation, addScoreAdjuster, calculateScore, calculateScoreAdjustment, getBestComparator, getBestGenome, getChampMutation, getCODEC, getEliteRate, getError, getIteration, getMaxIndividualSize, getMaxOperationErrors, getMaxTries, getOldBestGenome, getOperators, getPopulation, getRandomNumberFactory, getRules, getScoreAdjusters, getScoreFunction, getSelection, getSelectionComparator, getShouldIgnoreExceptions, getSpeciation, getThreadCount, isValidationMode, performShutdownTask, reportError, setBestComparator, setChampMutation, setCODEC, setEliteRate, setIteration, setMaxOperationErrors, setMaxTries, setPopulation, setRandomNumberFactory, setRules, setSelection, setSelectionComparator, setShouldIgnoreExceptions, setSpeciation, setThreadCount, setValidationMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.encog.ml.train.MLTrain

      `getError, getIteration, setIteration`

- - ### Constructor Detail

    - #### MLMethodGeneticAlgorithm.MLMethodGeneticAlgorithmHelper

          public MLMethodGeneticAlgorithm.MLMethodGeneticAlgorithmHelper(Population thePopulation,
                                                                 CalculateScore theScoreFunction)

      Construct the helper.
      Parameters:
        `thePopulation` - The population.
        `theScoreFunction` - The score function.

Copyright © 2014. All Rights Reserved.